# Where Plugin

This unofficial TaleSpire plugin allows a user to see the location of visible assets which may be obscured by objects
such as the tree canopy. The plugin provides two features, first you can cycle though the assets and immediately get
the distance between the your selected asset and the chosen alternate asset. In addition the path finder feature can
be activated which moves the camera along a straight path from your selected asset to the chosen alternate asset. Once
the feature is turned off the original camera view is restored.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.2.1: Fixed bug with prone detection causing plugin to not work
1.2.0: Updated for compatibility with VR Taleweaver update
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Configuration

There are a few configurable parameters for this plugin which can be configured using Edit Config from R2ModMan:

``Cycle Asset Selection``: This determines the key used to cycle between assets to find.

``Select Asset``: Toggles the find path feature between your selected asset and the cycled asset.

``Partial Tile Distances``: There are three different measurement schemes which can be used to show the distance
between assets. The ``tile`` option reports distances in units rounded to the nearest tile. The ``whole`` option
provides an accurate unit distance with any fractional distance removed. The ``accruarte`` option displays the
exact calculated distance. 

``Show Prone``: Indicates if prone creatures should be shown in the cycle list or not. Default is ``true``. Set
this setting to ``false`` if the GM uses the Talespire Knockdown state to indicated dead bodies.

## Usage

1. Select a mini
2. Use the cycle asset selection key (default ``F10``) to cycle though the other visible assets.
   This will display the asset name and the distance in the top right of the screen.
3. Press the asset section key (default ``F11``) to show the path.
4. Press the asset section key again (default ``F11``) to stop showing the path.

## Display Information

While cycling through targets the following information is provided about the target:

``Distance``: First shows the total point to point distance and then the planar and elevation distance. The planar
distance indicates the distance between the two creatures if they were on the same elevation and thus typically the
distance needed to get directly under a flying creature. The elevation indicates what distance the target is above.
A negative elevation means the target is below instead of above.

``Flying``: An ``F`` after the distance indicates that the creature is flying. This is useful to determine if about
difference in elevation is due to terrain or flying. For example, if there is a 10' difference in elevation but there
is no ``F`` then likely the target is not flying but instead has the high ground.

``Elevated``: An ``E`` after the distance indicates that the creature is at a different elevation but not flying. 

``Grounded``: An ``G`` after the distance indicates that the creature is at the same elevation. 

## Limitations

1. The distance calculations are not updated when either party moves until the plugin cycles away and back to the target.
2. If Show Prone is set to false and the target becomes prone, the target will remain in selected in the cycle list until
the list is cycled.

